Bug 1289315 - [RFE] haproxy timeouts should be configurable
[RFE] haproxy timeouts should be configurable
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Chris Jones
Udi Shkalim
: FutureFeature, InstallerIntegration
: 1391375 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 15:48 EST by James Slagle
Modified: 2017-11-26 21:50 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Slagle 2015-12-07 15:48:22 EST
The following haproxy timeout options should be configurable:

timeout  queue 1m
timeout  client 1m
timeout  server 1m
timeout  check 10s 

There are global and per server options for each of the above. The global ones could probably be configured via parameters, the servers via hieradata override. Just as a first step, it'd be good to be able to do either via a hieradata override.

This will likely require a change to puppet-tripleo as well to make these configurable.
Comment 2 Mike Burns 2016-04-07 17:00:12 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 4 Fabio Massimo Di Nitto 2016-11-23 07:28:18 EST
*** Bug 1391375 has been marked as a duplicate of this bug. ***
Comment 6 Red Hat Bugzilla Rules Engine 2017-06-03 22:03:46 EDT
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.

Note You need to log in before you can comment on or make changes to this bug.